# Snowflake share

To set up a data share with us in Snowflake, follow these steps. You’ll be sharing with our Snowflake account `SUMBLE.AWS_US_EAST_1`.

## Prepare your data

Identify or create the Snowflake table/view with the data you’d like to share with us. Sumble uses the follow fields for matching

<table><thead><tr><th width="232.203125">Field</th><th width="90.14453125" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>Account ID</td><td>true</td><td>unique identifier for your account</td></tr><tr><td>Account Name</td><td>true</td><td>account's organization name</td></tr><tr><td>Account URL</td><td>true</td><td>primary URL or domain associated with the account</td></tr><tr><td>Account Linkedin URL</td><td>false</td><td>URL of linkedin page associated with the account</td></tr><tr><td>Country</td><td>false</td><td>account's organization headquarter country</td></tr><tr><td>Parent Account ID</td><td>false</td><td>unique identifier of account's parent organization</td></tr><tr><td>Ultimate Parent Account ID</td><td>false</td><td>unique identifier of account's most parent organization</td></tr><tr><td>Alternate Names</td><td>false</td><td>other names the account's organization is known by</td></tr><tr><td>Alternate URLs</td><td>false</td><td>other URLs associated with the account's organization</td></tr></tbody></table>

Use whatever column names are natural for your system — we’ll handle the column matching from there.

## Identify your Snowflake region

Which region you’re in determines how you share data with us on Snowflake. If you’re in `AWS_US_EAST_1` , we use a data share directly. Otherwise, you'll create a private listing. An in-depth overview of Snowflake's data sharing capabilities can be found at [Snowflake's Data Sharing Documentation](https://docs.snowflake.com/en/user-guide/data-sharing-intro.html).

### Region: AWS\_US\_EAST\_1

1. Use the [`CREATE SHARE`](https://docs.snowflake.com/en/sql-reference/sql/create-share.html) command to create a new share.
2. Grant access to the specific database objects (schemas, tables, or views) that need to be shared.

```sql
CREATE SHARE my_share;
GRANT USAGE ON DATABASE my_database TO SHARE my_share;
GRANT USAGE ON SCHEMA my_database.my_schema TO SHARE my_share;
GRANT SELECT ON TABLE my_database.my_schema.my_table TO SHARE my_share;
```

3. Use [`ALTER SHARE`](https://docs.snowflake.com/en/sql-reference/sql/alter-share.html) to add the Sumble's account.

```sql
ALTER SHARE my_share ADD ACCOUNT = SUMBLE.AWS_US_EAST_1;
```

4. We'll accept the share and create a database from it.

### Region: Not AWS\_US\_EAST\_1

1. Create a [private data listing](https://docs.snowflake.com/en/user-guide/data-exchange-managing-data-listings#create-and-publish-a-data-listing).
2. Navigate to the *Data Products* > *Private Sharing* in Snowflake and click *Share* > *Publish to Specified Consumers* to configure a private listing.
   1. Select the data you’re sharing in this view
   2. Share with `SUMBLE.AWS_US_EAST_1`
3. Ensure data remains up-to-date: configure the frequency of data replication through the [auto-fulfillment settings](https://other-docs.snowflake.com/en/collaboration/provider-listings-auto-fulfillment#manage-other-auto-fulfillment-settings).

<a href="https://calendly.com/d/cnzk-sjk-q38/sumble" class="button primary">Book a time to chat with us</a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sumble.com/enterprise-services/integrations/snowflake-share.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
